POST api/SurveyMonkeyIntegration/PostCOSSurvey
Request Information
URI Parameters
None.
Body Parameters
CaseSurveyDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| CaseNo | integer |
None. |
|
| EncounterId | integer |
None. |
|
| SurveyId | string |
String length: inclusive between 0 and 100 |
|
| CollectorId | string |
String length: inclusive between 0 and 100 |
|
| MessageId | string |
String length: inclusive between 0 and 100 |
|
| ReceiptId | string |
String length: inclusive between 0 and 100 |
|
| IsSent | boolean |
None. |
|
| SentDateTIme | date |
None. |
|
| ValidFlag | boolean |
None. |
|
| UserName | string |
String length: inclusive between 0 and 61 |
|
| IsSendEmail | boolean |
None. |
|
| SurveyUrl | string |
String length: inclusive between 0 and 4000 |
|
| EncounterSequance | integer |
None. |
|
| NotificationTypeId | integer |
None. |
|
| SurveyType | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"CompanyCode": "sample string 2",
"CaseNo": 3,
"EncounterId": 4,
"SurveyId": "sample string 5",
"CollectorId": "sample string 6",
"MessageId": "sample string 7",
"ReceiptId": "sample string 8",
"IsSent": true,
"SentDateTIme": "2026-08-04T14:26:04.2232849-07:00",
"ValidFlag": true,
"UserName": "sample string 10",
"IsSendEmail": true,
"SurveyUrl": "sample string 11",
"EncounterSequance": 1,
"NotificationTypeId": 1,
"SurveyType": 12
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfString| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | string |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": "sample string 3",
"totalCount": 4
}